Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
- Adaptations
- Analyzer
- AnalyzerPlugins
- Checkable
- ConstantFolder
- ContextErrors
- ContextMode
- Contexts
- DestructureTypes
- Duplicators
- EtaExpansion
- Fingerprint
- Implicits
- ImplicitsStats
- Infer
- MacroAnnotationAttachments
- MacroAnnotationNamers
- Macros
- MacrosStats
- MethodSynthesis
- Namers
- NamesDefaults
- PatternTypers
- RefChecks
- StdAttachments
- StructuredTypeStrings
- SuperAccessors
- SyntheticMethods
- Tags
- TreeCheckers
- TypeDiagnostics
- TypeStrings
- Typers
- TypersStats
- TypersTracking
- Unapplies

t

scala.tools.nsc.typechecker

# StructuredTypeStrings

###

#### trait StructuredTypeStrings extends DestructureTypes

A more principled system for turning types into strings.

Source
  TypeStrings.scala

Linear Supertypes
DestructureTypes, AnyRef, Any
Known Subclasses
typeDeconstruct, deconstruct
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StructuredTypeStrings
2. DestructureTypes
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  trait DestructureType[Node] extends (Global.Type) => Node
   Definition Classes
     DestructureTypes
2.  case class Grouping(ldelim: String, mdelim: String, rdelim: String, labels: Boolean) extends Product with Serializable
3.  case class LabelAndType(label: String, typeName: String) extends Product with Serializable
4.  class MonoFunction extends TypeProduct
5.  class NullaryFunction extends TypeProduct

   For a NullaryMethod, in = TypeEmpty; for MethodType(Nil, _) in = TypeNil

6.  class PolyFunction extends TypeProduct
7.  case class TypeAtom[T](atom: T) extends TypeNode with Product with Serializable
8.  class TypeList extends TypeProduct
9.  sealed abstract class TypeNode extends AnyRef
10.  case class TypeProduct(nodes: List[TypeNode]) extends TypeNode with Product with Serializable

### Abstract Value Members

1.  abstract val global: Global
   Definition Classes
     StructuredTypeStrings → DestructureTypes

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StructuredTypeStrings toany2stringadd[StructuredTypeStrings] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StructuredTypeStrings, B)
   Implicit
     This member is added by an implicit conversion from StructuredTypeStrings toArrowAssoc[StructuredTypeStrings] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val BlockGrouping: Grouping
7.  val ListGrouping: Grouping
8.  val NoGrouping: Grouping
9.  val ProductGrouping: Grouping
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  def ensuring(cond: (StructuredTypeStrings) => Boolean, msg: => Any): StructuredTypeStrings
    Implicit
      This member is added by an implicit conversion from StructuredTypeStrings toEnsuring[StructuredTypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (StructuredTypeStrings) => Boolean): StructuredTypeStrings
    Implicit
      This member is added by an implicit conversion from StructuredTypeStrings toEnsuring[StructuredTypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): StructuredTypeStrings
    Implicit
      This member is added by an implicit conversion from StructuredTypeStrings toEnsuring[StructuredTypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): StructuredTypeStrings
    Implicit
      This member is added by an implicit conversion from StructuredTypeStrings toEnsuring[StructuredTypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StructuredTypeStrings toStringFormat[StructuredTypeStrings] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
24.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
26.  def show(tp: Global.Type): String
27.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
28.  def toString(): String
    Definition Classes
      AnyRef → Any
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
32.  object LabelAndType extends java.io.Serializable
33.  object TypeEmpty extends TypeNode
34.  object intoNodes extends DestructureType[TypeNode]

### Deprecated Value Members

1.  def →[B](y: B): (StructuredTypeStrings, B)
   Implicit
     This member is added by an implicit conversion from StructuredTypeStrings toArrowAssoc[StructuredTypeStrings] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from DestructureTypes

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromStructuredTypeStrings to any2stringadd[StructuredTypeStrings]

### Inherited by implicit conversion StringFormat fromStructuredTypeStrings to StringFormat[StructuredTypeStrings]

### Inherited by implicit conversion Ensuring fromStructuredTypeStrings to Ensuring[StructuredTypeStrings]

### Inherited by implicit conversion ArrowAssoc fromStructuredTypeStrings to ArrowAssoc[StructuredTypeStrings]

### Ungrouped